ros-iron-turtlesim (1.6.1-1jammy) jammy; urgency=high

  * Remove the range constraints from the holonomic parameter. (#150 <https://github.com/ros/ros_tutorials/issues/150>) (#151 <https://github.com/ros/ros_tutorials/issues/151>)
  * Add icon (#148 <https://github.com/ros/ros_tutorials/issues/148>) (#149 <https://github.com/ros/ros_tutorials/issues/149>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-iron-turtlesim (1.6.0-1jammy) jammy; urgency=high

  * Update turtlesim to C++17. (#146 <https://github.com/ros/ros_tutorials/issues/146>)
  * [rolling] Update maintainers - 2022-11-07 (#145 <https://github.com/ros/ros_tutorials/issues/145>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-iron-turtlesim (1.5.0-1jammy) jammy; urgency=high

  * Add parameter to enable holonomic motion (#131 <https://github.com/ros/ros_tutorials/issues/131>)
  * Add humble turtle (#140 <https://github.com/ros/ros_tutorials/issues/140>)
  * Contributors: Audrow Nash, Daisuke Sato

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-iron-turtlesim (1.4.1-1jammy) jammy; urgency=high

  * Use ``double`` when handling ``qreal orient\_`` (#114 <https://github.com/ros/ros_tutorials/issues/114>)
  * Add Rolling Icon (#133 <https://github.com/ros/ros_tutorials/issues/133>)
  * Contributors: Katherine Scott, Seulbae Kim

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-iron-turtlesim (1.4.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#137 <https://github.com/ros/ros_tutorials/issues/137>)
  * Fixing deprecated subscriber callback warnings (#134 <https://github.com/ros/ros_tutorials/issues/134>)
  * Use rosidl_get_typesupport_target() (#132 <https://github.com/ros/ros_tutorials/issues/132>)
  * Print out the correct node name on startup. (#122 <https://github.com/ros/ros_tutorials/issues/122>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-iron-turtlesim (1.3.3-1jammy) jammy; urgency=high

  * Added galactic turtle icon. (#123 <https://github.com/ros/ros_tutorials/issues/123>)
  * Heavily cleanup teleop_turtle_key. (#121 <https://github.com/ros/ros_tutorials/issues/121>)
  * Contributors: Chris Lalancette, Katherine Scott

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 21 May 2021 00:00:00 -0000

ros-iron-turtlesim (1.3.2-1jammy) jammy; urgency=high

  * Ignore key up events in teleop_turtle_key on Windows (#118 <https://github.com/ros/ros_tutorials/issues/118>)
  * Contributors: Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 16 Apr 2021 00:00:00 -0000

ros-iron-turtlesim (1.3.1-1jammy) jammy; urgency=high

  * Update maintainers (#106 <https://github.com/ros/ros_tutorials/issues/106>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-iron-turtlesim (1.3.0-1jammy) jammy; urgency=high

  * Update goal response callback signature (#100 <https://github.com/ros/ros_tutorials/issues/100>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-iron-turtlesim (1.2.5-1jammy) jammy; urgency=high

  * add holonomic motion for turtlesim (#98 <https://github.com/ros/ros_tutorials/issues/98>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-iron-turtlesim (1.2.4-1jammy) jammy; urgency=high

  * add step value to turtlesim color parameters (#91 <https://github.com/ros/ros_tutorials/issues/91>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-iron-turtlesim (1.2.3-1jammy) jammy; urgency=high

  * update Foxy turtle (#90 <https://github.com/ros/ros_tutorials/issues/90>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jun 2020 00:00:00 -0000

ros-iron-turtlesim (1.2.2-1jammy) jammy; urgency=high

  * add Foxy turtle (#89 <https://github.com/ros/ros_tutorials/issues/89>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-iron-turtlesim (1.2.1-1jammy) jammy; urgency=high

  * Fix Qt deprecation warning (#88 <https://github.com/ros/ros_tutorials/issues/88>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-iron-turtlesim (1.2.0-1jammy) jammy; urgency=high

  * Replace deprecated launch_ros usage (#84 <https://github.com/ros/ros_tutorials/issues/84>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 01 May 2020 00:00:00 -0000

ros-iron-turtlesim (1.1.1-1jammy) jammy; urgency=high

  * catch reference to fix -Wcatch-value warning (#78 <https://github.com/ros/ros_tutorials/issues/78>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Apr 2020 00:00:00 -0000

ros-iron-turtlesim (1.1.0-1jammy) jammy; urgency=high

  * Eloquent Elusor turtle icon (#77 <https://github.com/ros/ros_tutorials/issues/77>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Nov 2019 00:00:00 -0000

ros-iron-turtlesim (1.0.2-1jammy) jammy; urgency=high

  * separate background color from drawn paths, trigger repaint on parameter changes (#75 <https://github.com/ros/ros_tutorials/issues/75>)
  * add descriptor information for background color parameters (#73 <https://github.com/ros/ros_tutorials/issues/73>)
  * Fix Windows compiler warning (#69 <https://github.com/ros/ros_tutorials/issues/69>)
  * Change log messages to use 'goal' instead of 'action' (#67 <https://github.com/ros/ros_tutorials/issues/67>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-iron-turtlesim (1.0.1-1jammy) jammy; urgency=high

  * fix mimic tutorial node (#65 <https://github.com/ros/ros_tutorials/issues/65>)
  * fix syntax error in teleop_turtle_key.cpp on Windows (#66 <https://github.com/ros/ros_tutorials/issues/66>)
  * add RotateAbsolute action (#62 <https://github.com/ros/ros_tutorials/issues/62>)
  * fix typo in error message (#64 <https://github.com/ros/ros_tutorials/issues/64>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Oct 2019 00:00:00 -0000

ros-iron-turtlesim (1.0.0-1jammy) jammy; urgency=high

  * replace images with ROS 2 turtles (#60 <https://github.com/ros/ros_tutorials/issues/60>)
  * add shortcut to quit teleop (#58 <https://github.com/ros/ros_tutorials/issues/58>)
  * fix compiler warnings on Windows (#57 <https://github.com/ros/ros_tutorials/issues/57>)
  * add support for Windows (#56 <https://github.com/ros/ros_tutorials/issues/56>)
  * various fixes for ROS 2 (#55 <https://github.com/ros/ros_tutorials/issues/55>)
  * turtlesim for ROS 2 (#53 <https://github.com/ros/ros_tutorials/issues/53>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Sep 2019 00:00:00 -0000

ros-iron-turtlesim (0.9.1-1jammy) jammy; urgency=high

  * change formula to avoid rounding with extreme input values (#51 <https://github.com/ros/ros_tutorials/issues/51>)
  * keep theta in the desired interval (#46 <https://github.com/ros/ros_tutorials/issues/46>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-iron-turtlesim (0.9.0-1jammy) jammy; urgency=high

  * add melodic turtle (#41 <https://github.com/ros/ros_tutorials/issues/41>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Apr 2018 00:00:00 -0000

ros-iron-turtlesim (0.8.1-1jammy) jammy; urgency=high

  * theta ranges from -pi to +pi (#31 <https://github.com/ros/ros_tutorials/issues/31>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-iron-turtlesim (0.8.0-1jammy) jammy; urgency=high

  * add lunar turtle (#39 <https://github.com/ros/ros_tutorials/pull/39>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Mar 2017 00:00:00 -0000

ros-iron-turtlesim (0.7.1-1jammy) jammy; urgency=high

  * check pen_on_ when processing teleport requests (#35 <https://github.com/ros/ros_tutorials/pull/35>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-iron-turtlesim (0.7.0-1jammy) jammy; urgency=high

  * add kinetic image
  * update to Qt5
  * fix size of Jade image to not exceed other images in order to not get positioned incorrectly
  * fix compiler warnings

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-iron-turtlesim (0.6.1-1jammy) jammy; urgency=high

  * update the coordinate system in /spawn service for consistency (#25 <https://github.com/ros/ros_tutorials/pull/25>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-iron-turtlesim (0.6.0-1jammy) jammy; urgency=high

  * add jade turtle (#22 <https://github.com/ros/ros_tutorials/pull/22>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 May 2015 00:00:00 -0000

ros-iron-turtlesim (0.5.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-iron-turtlesim (0.5.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-iron-turtlesim (0.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-iron-turtlesim (0.5.0-1jammy) jammy; urgency=high

  * add indigo turtle
  * add disabled code to easily spawn all available turtle types

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-iron-turtlesim (0.4.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-iron-turtlesim (0.4.2-1jammy) jammy; urgency=high

  * fix missing install of hydro.svg (#12 <https://github.com/ros/ros_tutorials/issues/12>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-iron-turtlesim (0.4.1-1jammy) jammy; urgency=high

  * add hydro image to turtlesim

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Sep 2013 00:00:00 -0000

ros-iron-turtlesim (0.4.0-1jammy) jammy; urgency=high

  * Adding png version of hydro for wiki linking
  * TurtleApp accepts argc by reference
  * Restoring all the changes appropriate for Hydro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-iron-turtlesim (0.3.13-1jammy) jammy; urgency=high

  * TurtleApp accepts argc by reference
  * add hydro image to turtlesim
  * remove mainpage.dox

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-iron-turtlesim (0.3.12-1jammy) jammy; urgency=high

  * reverting velocity -> twist for groovy
  * Revert "chaning command_velocity to cmd_vel" for groovy
    This reverts commit 96e5174d3a5c961b6e1195b90b4024e2858df010.
  * Revert "adding geometry_msgs dependency in package.xml and CMakelist" for groovy
    This reverts commit c7ac1155d70269909b55af03d13fe2e089d6215d.
  * Revert "alaphabetic order" for groovy
    This reverts commit f928765ed08773517c195b74c55231c0e4fcc5e5.

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 29 Mar 2013 00:00:00 -0000

ros-iron-turtlesim (0.3.11-1jammy) jammy; urgency=high

  * update email in package.xml

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-iron-turtlesim (0.3.10-1jammy) jammy; urgency=high

  * Fix a moc generation error with boost >= 1.48
    See:
    https://bugreports.qt-project.org/browse/QTBUG-22829
  * Revert "Merge pull request #6 <https://github.com/ros/ros_tutorials/issues/6> from ros/fix_qt_moc"
    This reverts commit 0e11b41ac53aad0e043b77d4d5950889245eaceb, reversing
    changes made to fc19df449d9ac297e8ab829ff22e99323c33ae93.
  * Revert "fix missing include (regression of #5 <https://github.com/ros/ros_tutorials/issues/5>)"
    This reverts commit 546dabe05c00e87296952cb2ca655e01895bd5ed.
  * fix missing include (regression of #5 <https://github.com/ros/ros_tutorials/issues/5>)
  * Fix a mod generation error with boost >= 1.48
    See:
    https://bugreports.qt-project.org/browse/QTBUG-22829
  * alaphabetic order
  * adding geometry_msgs dependency in package.xml and CMakelist
  * chaning command_velocity to cmd_vel
  * remove turtlesim velocity and use Twist msg

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-iron-turtlesim (0.3.9-1jammy) jammy; urgency=high

  * add groovy turtle
  * modified dep type of catkin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 21 Dec 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.8-1jammy) jammy; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.6-1jammy) jammy; urgency=high

  * fix catkin function order

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Oct 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 06 Oct 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.3-1jammy) jammy; urgency=high

  * fixed missing genmsg stuff
  * updated to latest catkin
  * added package.xml files

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Oct 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.2-1jammy) jammy; urgency=high

  * updated catkin variables
  * updated pkg-config in manifest.xml

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Sep 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.1-1jammy) jammy; urgency=high

  * use install destination variables, removed manual installation of manifests

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 03 Sep 2012 00:00:00 -0000

ros-iron-turtlesim (0.3.0-1jammy) jammy; urgency=high

  * updated to current catkin

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 Aug 2012 00:00:00 -0000

ros-iron-turtlesim (0.2.20-1jammy) jammy; urgency=high

  * fixed compilation on platforms with different qreal type

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Feb 2013 00:00:00 -0000

ros-iron-turtlesim (0.2.19-1jammy) jammy; urgency=high

  * make find_package REQUIRED
  * removed obsolete catkin tag from manifest files
  * added missing install of turtlesim images
  * using fuerte image in turtlesim
  * fuerte icon
  * remove old Makefiles and bump to 0.2.13
  * fix find boost component for turtlesim
  * change deps for turtlesim from wx to qt
  * migrate turtlesim from wx to qt
  * updated export for messages/catkin
  * add missing libs for oneiric
  * add missing dependency on wx, and take out conditional build logic from turtlesim
  * conditionally build based on wx, for now
  * turn on turtlesim
  * adding <catkin/>, removing depends and platform tags
  * remove old rosbuild2 stuff
  * adios rosbuild2 in manifests
  * changed number of turtles to a #define to prevent future mistakes with adding new turtles
  * electric turtle
  * rosbuild2/windows tweaks, they keep on comin'
  * rosbuild2 taking shape.
  * rosbuild2 taking shape
  * moving teleop keyboard into turtlesim to remove tutorial deps on keyboard
  * diamondback
  * Added Ubuntu platform tags
  * fix to actually paint on OSX
  * Only update the path image every 3 frames, because ConvertToImage on a 500x500 bitmap is somehow very expensive
  * Move bitmap->image conversion outside of loop (that was boneheaded)
  * Add color sensor to turtles
  * Switch turtlesim to x-forward (theta=0 now faces to the right)
  * Optionally name your turtles yourself
  * Fix coordinate system
  * adding a little more description to manifest
  * Add absolute and relative teleport service calls
  * changing turtlesim to turtlesim_node for tutorial clarity
  * 
    
      * Multi-turtle support
      * turtle_pose and command_velocity now exist per-turtle.  turtle_pose has been renamed "pose"
      * "spawn" service call to spawn a new turtle, which returns the turtle name
      * "kill" service call, to kill a turtle by name
      * Switch to "meters" as the distance unit, where 1 meter is defined as the height of the turtle
    
  * adding export to manifest
  * Change default background/pen colors
  * Randomly choose one of the 3 turtles
  * 3 turtle set by metamanda
  * throttling refresh rate so that xorg doesn't use all the cpu
  * adding debug statements
  * the drawing file used to create turtle.png
  * new turtle made by melonee
  * Apply Melonee's diff to set the background color parameters on the param server at startup
  * Add error output if the turtle hits the wall
  * Add turtlesim to the ros_tutorials stack

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Jun 2012 03:13:40 +0000


